Package Gnumed :: Package business :: Module gmForms :: Class cAbiWordForm |
[frames] | no frames]

# Class cAbiWordForm

source code

     object --+
              |
    cFormEngine --+
                  |
                 cAbiWordForm

A forms engine wrapping AbiWord.

Instance Methods
__init__(self, template_file=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
substitute_placeholders(self, data_source=None) Parse the template into an instance and replace placeholders with values. | source code
edit(self) Allow editing the instance of the template. | source code
generate_output(self, instance_file=None, format=None) Generate output suitable for further processing outside this class, e.g. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| placeholder_regex = `r'\$&lt;.+?&gt;\$'`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, template_file=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### substitute_placeholders(self, data_source=None) | source code
Parse the template into an instance and replace placeholders with values. Overrides: cFormEngine.substitute_placeholders (inherited documentation)

### edit(self) | source code
Allow editing the instance of the template. Overrides: cFormEngine.edit (inherited documentation)

### generate_output(self, instance_file=None, format=None) | source code
Generate output suitable for further processing outside this class, e.g. printing. Overrides: cFormEngine.generate_output (inherited documentation)